Package org.apache.tomcat.util.buf

## Class Asn1Writer

- java.lang.Object
- - org.apache.tomcat.util.buf.Asn1Writer

-     public class Asn1Writer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Asn1Writer()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static byte[]` | `writeInteger​(int value)` |
    `static byte[]` | `writeOctetString​(byte[] data)` |
    `static byte[]` | `writeSequence​(byte[]... components)` |
    `static byte[]` | `writeTag​(byte tagId, byte[] data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Asn1Writer

          public Asn1Writer()

  - ### Method Detail

    - #### writeSequence

          public static byte[] writeSequence​(byte[]... components)

    - #### writeInteger

          public static byte[] writeInteger​(int value)

    - #### writeOctetString

          public static byte[] writeOctetString​(byte[] data)

    - #### writeTag

          public static byte[] writeTag​(byte tagId,
                                        byte[] data)